package com.dev.swms.server.utils;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.dev.swms.server.model.base.LocationType;



/**
 * 
 * @author  youchain
 * @description 枚举中文转换
 * 
 */
public class ConvertEnumName {
	private static Log log = LogFactory.getLog(DateUtil.class);
	
	public static String getConvertName(String type){
		if(type==null||type.equals("")){
			return "";
		}
		if(type.equals(LocationType.STORAGE)){
			return "存货";
		}else if(type.equals(LocationType.RECEIVE)){
			return "收货";
		}else if(type.equals(LocationType.SHIP)){
			return "发货";
		}else if(type.equals(LocationType.COUNT)){
			return "盘点";
		}else if(type.equals(LocationType.PROCESS)){
			return "加工";
		}else if(type.equals(LocationType.QUALITY)){
			return "质检";
		}else if(type.equals(LocationType.TRANSIT)){
			return "拣货";
		}else if(type.equals(LocationType.RECEIVE)){
			return "收货";
		}else if(type.equals(LocationType.BAD)){
			return "残次品";
		}else if(type.equals(LocationType.READY)){
			return "备货";
		}else{
			return type;
		}
	}

}
